---
name: Christopher David Yudichak
tagline: Puzzle-Solver and Simple-Maker
contact_info:
  email: christopher.yudichak@gmail.com
  phone: \"(570) 763-9297\"
  location: Wilkes-Barre, PA
skills:
  proficient:
  - Ruby
  - Rails
  - Git
  - Swift
  - JS
  in_progress:
projects:
- name: Mingle
  language: Ruby on Rails
  details:
  - HipChat integration to help remote team get some face time
  - Randomly puts participants into groups of three and provides Google Hangout link
  - Allows people who don't normally work together into a room to talk about whatever
  - Held bi-weekly Mingle sessions with entire company
- name: pd-cli
  language: Go (formerly Ruby)
  details:
  - Set of command line tools to help improve PipelineDeals dev team efficiency
  - Provides one-command ssh access to any app server in our ecosystem, removing the need to log into AWS console
  - Speeds up code review process by listing PRs that are ready for review, removing the need to browse Trello board
  - Quickly loads Jira tickets and GitHub PRs with just their number
- name: Kiki's Koi-Koi
  language: Swift (formerly Lua)
  details:
  - iOS app for Japanese card game Koi-Koi
  - 4.5 out of 5 star rating on App Store
  - With a focus on teaching newcomers, Kiki provides a clean and simple way to play a unique Japanese game
jobs:
- company: Bark
  position: Engineering Lead
  time: July 2017 - current
  accomplishments:
- company: PipelineDeals
  position: Senior Developer
  time: April 2012 - July 2017
  accomplishments:
  - Work on a remote team, with bicoastal offices and developers spread across four countries
  - Support 10-year-old Rails/JS app served to over 17,000 users
  - Along with dev team, own the codebase through code review, deployment interface, server management, and on-call emergency response
  - Hold weekly learning-focused sessions to improve and broaden team's abilities
  - Built internal tools to help efficiency of development, customer service, and marketing teams
  - Keep team spirits up with non-work-related Hangout sessions and in-person activities
- company: How Seven!, LLC
  position: Co-founder/Developer
  time: October 2010 - current
  accomplishments:
  - Developed and launched 2 mobile apps on iOS App Store
  - Developed version of Kiki's Koi-Koi for Nintendo Wii U console
- company: Sproutlet
  position: Developer
  time: April 2011 - January 2012
  accomplishments:
  - Built applications for startups and clients in Rails
  - Designed interfaces alongside graphic designer
  - Helped implement development process and project workflow
- company: Instructors Network
  position: Lead Developer
  time: October 2007 - August 2010
  accomplishments:
  - Led development team in building client websites in PHP/Rails
  - Managed client projects, including acting as liaison for dev team
  - Educated dev team on new techniques and tools
  - Built internal tools to help speed development process
  - Implemented project management workflow
  - Installed and managed on-site hardware, including servers for client sites and phone system
